Search Results for

Show / Hide Table of Contents

# Interface IBannerAd

Common properties for banner facade and platform-specific implementations.

##### Inherited Members

IDisposable.Dispose()
IAdUnit.PlacementID
IAdUnit.EndpointID
ILoadableAd.LoadAd()
IMonoformattedAd.AdUnitFormat
IResizableAd.AdSizes
IConcealableAd.Show()
IConcealableAd.Hide()
IAnchoredAd.AnchoredPosition
IAnchoredAd.AdPosition
IAutoRefreshableAd.AutoRefreshDelay
IAutoRefreshableAd.StopAutoRefresh()
IAdEventSource.OnAdLoaded
IAdEventSource.OnAdFailed
IAdEventSource.OnAdClicked
IAdEventSource.OnAdClosed

###### Namespace: AppstockSDK.Api

###### Assembly: Appstock.Core.dll

##### Syntax

    public interface IBannerAd : IDisposable, IAdUnit, ILoadableAd, IMonoformattedAd, IResizableAd, IConcealableAd, IAnchoredAd, IAutoRefreshableAd, IAdEventSource